Bug 456427 - (iowarrior) Hal/PolicyKit does not know about IOwarrior devices
Hal/PolicyKit does not know about IOwarrior devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 10:35 EDT by Bert DeKnuydt
Modified: 2013-03-05 22:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bert DeKnuydt 2008-07-23 10:35:10 EDT
Description of problem:

When you plug a IOwarrior device on the USB bus, the iowarrior kernel module
is properly loaded and the device files /dev/usb/iowarrior? are made,
but no ACL is set to allow a non-root user to access the thing.

Entries in /usr/share/PolicyKit/policy/org.freedesktop.hal.device-access.policy
and /usr/share/hal/fdi/policy/10osvendor/20-acl-management.fdi lack.

How reproducible: always

Steps to Reproduce:
1. plug in an IOWarrior USB device
2. ls -l /dev/usb/iowarrior?
3. getfacl /dev/usb/iowarrior?
  
Actual results:

crw-rw---- access only and no ACL defined.

Expected results:

crw-rw----+ access, and and ACL defined for locally logged in users (if policy
allows so)

Fix:

Add to .../org.freedesktop.hal.device-access.policy:

 <action id="org.freedesktop.hal.device-access.iowarrior">
    <description>Directly access iowarrior devices</description>
    <message>System policy prevents access to iowarrior devices</message>
    <defaults>
    <allow_inactive>no</allow_inactive>
    <allow_active>yes</allow_active>
    </defaults>
  </action>

Add to .../20-acl-management.fdi (or somewhere around there)

<!-- iowarrior devices -->
<match key="@info.parent:usb.vendor_id" int="0x7c0">
  <match key="@info.parent:usb.product_id" int="0x1500">
   <append key="info.capabilities" type="strlist">access_control</append>
   <merge key="access_control.file type="copy_property">linux.device_file</merge>
   <merge key="access_control.type" type="string">iowarrior</merge>
  </match>
</match>

This is just for the IOWarrior 40; other USB product IDs would have to be added.
Comment 1 Bert DeKnuydt 2009-02-17 03:43:12 EST
Update: added USB product IDs for other/newer IOWarrior devices

Modify 20-acl-management.fdi as follows

<!-- iowarrior devices -->
<match key="@info.parent:usb.vendor_id" int="0x7c0">
  <match key="@info.parent:usb.product_id" int_outpf="0x1500;0x1501;0x1503;0x1511;0x1512">
   <append key="info.capabilities" type="strlist">access_control</append>
   <merge key="access_control.file type="copy_property">linux.device_file</merge>
   <merge key="access_control.type" type="string">iowarrior</merge>
  </match>
</match>

Any plans to have this in F11?
Comment 2 Scott Glaser 2009-09-09 08:04:23 EDT
Have you tried with the latest hal package in Fedora 11 or tried Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2009-11-18 07:37:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:15:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.